installer is not working

mspiegel's picture
Project:OpenMx Website
Component:User interface
Category:bug report
Priority:normal
Assigned:Jeff
Status:won't fix
Description

On euterpe I tried source('[secret url]') from R connected over ssh, and I got the warning and the error:

Warning message:
In getDependencies(pkgs, dependencies, available, lib) :
package 'OpenMx' is not available
> library(OpenMx)
Error in library(OpenMx) : there is no package called 'OpenMx'

See http://openmx.psyc.virginia.edu/thread/160 as well.

Comments

mspiegel's picture

#1

Change the three PACKAGES files from R (>= 2.9.1), to 2.9.0.

Jeff's picture

#2

But I think we decided to make 2.9.1 a req.

Steve's picture

#3

This is very likely a permissions problem.

I logged into euterpe and /Library/Frameworks/R.framework all belongs to root with group admin and does not have write set for others.

The R installer makes people authenticate to root in order to install. Perhaps the add-on package installer is suid'ed to root (eww!) or there is some authentication. Or, perhaps when an authentication error is thrown, the package installer automatically reverts to installing on people's local accounts. This problem should also exist for Linux users if a sysadmin installed R to begin with.

So when we encounter an OS-X machine with R installed for multiple users we're going to have to figure out what we want to do. Something about how we're installing isn't making the automatic switch to local accounts when necessary.

Jeff's picture

#4

We should look at a clean install of R and see how multiple users works on that.

Jeff's picture

#5

Status:active» won't fix

As far as this bug goes, I'm going to mark it as "won't fix". If we decide to commit to supporting earlier versions than 2.9.1, we can reopen it.

mspiegel's picture

#6

Is there a reason we can't support 2.9.0? I checked the CHANGES file and nothing spectacular seemed to happen in the transition from 2.9.0 to 2.9.1: http://cran.mtu.edu/src/base/NEWS.